Bug 1499990

Summary: Unable to use babel/dates due missing pytz
Product: Red Hat Software Collections Reporter: Lukas Zachar <lzachar>
Component: babelAssignee: Python Maintainers <python-maint>
Status: CLOSED WONTFIX QA Contact: BaseOS QE - Apps <qe-baseos-apps>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rh-python36CC: cstratak, dshumake, hhorak, lkuprova, pviktori, python-maint
Target Milestone: ---   
Target Release: 3.4   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
The pytz module, which is used by Babel for time zone support, is not included in the rh-python34, rh-python35, and rh-python36 Software Collections. Consequently, when the user tries to import the dates module from Babel, a traceback is returned. To work around this problem, install pytz through the pip package manager from the pypi public repository by using the "pip install pytz" command.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-08 13:55:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Lukas Zachar 2017-10-09 15:42:32 UTC
Description of problem:

Collection rh-python36 does not contain pytz, but babel/dates requires it.

Any attempt to use it (from babel import dates) ends with traceback:
ModuleNotFoundError: No module named 'pytz'

Comment 11 Petr Viktorin 2019-08-27 13:49:03 UTC
This is a Known Issue.

The pytz module, which is used by Babel for time zone support, is not included in the rh-python34, rh-python35, and rh-python36 Software Collections. Consequently, when the user tries to import the dates module from Babel, a traceback is returned. To work around this problem, install pytz through the pip package manager from the pypi public repository by using the "pip install pytz" command.

Comment 12 Petr Viktorin 2019-08-27 14:11:52 UTC
Note that the Known Issue tag and Doc Text was set in 2017.

The customer asked to "actively inquire with development what the plan is" on March 17, 2019, but there was no activity on the Bugzilla in 2019!
Note that developers *do not* monitor the Customer Portal; we just now discovered this message and the periodic "I have not heard anything back from engineering regarding this issue." comments on the portal.

This is a serious miscommunication issue. Were we expected to follow the Customer Portal?

Comment 13 Devon 2019-09-03 16:07:15 UTC
I would think that if there were any additional information about this that I would see an update in the bug itself. 

Do we have any additional information regarding the release plans for the possibility of including this in a future release of RHSCL? 

Based on the previous comments, it looked like engineering was leaning towards nacking the request. If that is the case and our recommendation is to simply install pytz through pip then that is a fine response but I have not heard anything back on this bug in some time. Is there a flag that is not properly set on the bug that caused it not to be seen or something else that I am missing?

Comment 14 Charalampos Stratakis 2019-10-08 13:55:09 UTC
(In reply to Devon from comment #13)
> I would think that if there were any additional information about this that
> I would see an update in the bug itself. 
> 
> Do we have any additional information regarding the release plans for the
> possibility of including this in a future release of RHSCL? 
> 
> Based on the previous comments, it looked like engineering was leaning
> towards nacking the request. If that is the case and our recommendation is
> to simply install pytz through pip then that is a fine response but I have
> not heard anything back on this bug in some time. Is there a flag that is
> not properly set on the bug that caused it not to be seen or something else
> that I am missing?

It's already addressed in the release notes of RHSCL: https://access.redhat.com/documentation/en-us/red_hat_software_collections/3/html-single/3.3_release_notes/index#sect-RHSCL-Known_Issues